/*jslint browser: true, indent : 2, nomen : true, sloppy : true */
/*global require: false */
(function () {
  "use strict";

  var IS_LOCAL  = /(:\/\/localhost|file:\/\/)/.test(document.location.href);      

  require.config({
      waitSeconds :   (IS_LOCAL? 2 : 45)
    , baseUrl:    "../js"
 // , urlArgs: "bust=" + (new Date()).getTime()
 // , enforceDefine: true 
    , paths: {
        controller:   'controller'
      , text:         'text'
      , overrides:    'overrides'
      , jquery:       'libs/jquery/jquery'
      , jqm:          'libs/jqm/jqm'
      , i18next:      'plugins/i18next/i18next'
      , renderjs:     'plugins/renderjs/renderjs'
      , localstorage: 'libs/jio/localstorage'
      , queries:      'libs/jio/complex_queries'
      , md5:          'libs/jio/md5'
      , jio:          'libs/jio/jio'
    } 
    , shim: {
        'overrides':     { deps: ['jquery'] }
      , 'jqm':           { deps: ['jquery'], exports: 'mobile' }
      , 'i18next':       { deps: ['jquery'] }
      , 'renderjs':      { deps: ['jquery', 'jio', 'md5', 'localstorage', 'queries'] }
      , 'route':         { deps: ['jquery', 'render'] }
      , 'url':           { deps: ['jquery', 'render'] }
      , 'jio':           { deps: ['md5'] }
      , 'localstorage':  { deps: ['jio'] }
      , 'queries':       { deps: ['jio'] }
    }
  });

  require(['controller', 'overrides', 'jquery', 'jqm', 'text', 'renderjs', 'jio'], 
    function (Controller) {
      Controller.start();
    });
}());